Subject: bug#18756: 24.4; shell-script-mode does wrong indentation

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Oct 2014 18:20:26 +0300

> Resent-Sender: [email-masked]
> From: Alexis <[email-masked]>
> Date: Tue, 21 Oct 2014 00:59:08 +1100
> 
> Superficially, it looks like return/enter is only sending a line feed,
> not a line feed + carriage return

This doesn't seem to explain what the OP describes as happening both
in GUI and TTY sessions: in the former case, we don't send any CR or
LF characters to the screen to position the cursor, we do that via
Xlib functions.

Daniel, is it true that the problem exists in both GUI and text-mode
sessions?